Author Topic: tellstick core update: breaks previous functionality  (Read 1375 times)

PSM

  • Newbie
  • *
  • Posts: 13
    • View Profile
tellstick core update: breaks previous functionality
« on: November 02, 2011, 10:09:19 pm »
Since October 25 Tellstick has released a new Tellstick core version to control the the Tellstick wireless usb device for lighting control of various wireless lighting systems. I tried to solve this by reinstalling the Tellstick device, but to no avail. Would probably have been better not to upgrade, but well, apt-get is so nice in offering to update everything at once...
JoakimL did you experience the same?

PSM
Jetway JNC62K
AMD Athlon X2 4850
1GB Ram
4x 1TB SATA
1x 250 GB IDE
1x DVD R/W IDE
WMCE UIRT
Kubuntu 8.10 i386

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2847
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: tellstick core update: breaks previous functionality
« Reply #1 on: November 02, 2011, 10:19:16 pm »
If you do not want to upgrade everything, do what I usually do: apt-get install <name-of-packages-that-you-want-upgraded>

pointman87

  • Veteran
  • ***
  • Posts: 108
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #2 on: November 02, 2011, 10:22:03 pm »
Hi, I'm using the newest telldus-core on my 10.04 install and it works great. Are you sure your /etc/tellstick.conf wasn't overwritten when you upgraded?

Best regards, Daniel

JoakimL

  • Veteran
  • ***
  • Posts: 149
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #3 on: November 02, 2011, 10:37:29 pm »
I didn't upgrade yet, I'll check and keep you posted.

/Joakim

PSM

  • Newbie
  • *
  • Posts: 13
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #4 on: November 02, 2011, 10:47:16 pm »
Hi Pointman87,
Yes I did check on the tellstick.conf. Still there, no changes to it either.
And yes, Posde, you're right, I am just paying the price for being lazy I suppose...
Joakim, I am very interested to learn your experience. Did not mention it probably, but I am running 8.10, not 10.04.

Thanks!

PSM
Jetway JNC62K
AMD Athlon X2 4850
1GB Ram
4x 1TB SATA
1x 250 GB IDE
1x DVD R/W IDE
WMCE UIRT
Kubuntu 8.10 i386

JoakimL

  • Veteran
  • ***
  • Posts: 149
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #5 on: November 14, 2011, 10:50:34 am »
OK, bad news. My server disk started to behave rather strange, so I decided to re-install. I went for 10.04 and the plug'n play went well. However, not even the basic Tellstick commands work anymore. tdtool -l lists no devices, even though all are in my /etc/tellstick.conf file. I'm investigating.

/Joakim

JoakimL

  • Veteran
  • ***
  • Posts: 149
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #6 on: November 14, 2011, 07:12:51 pm »
And now it works, even in LMCE 10.04. But - you need to downgrade if you've installed Tellstick 2.1 software. See the wiki for details.
http://wiki.linuxmce.org/index.php/Tellstick

/Joakim

pointman87

  • Veteran
  • ***
  • Posts: 108
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #7 on: November 14, 2011, 09:41:24 pm »
Hi Joakim. Im using telldus-core 2.1 and it works fine for me, thats odd.


apt-cache showpkg telldus-core
Package: telldus-core
Versions:
2.1.0-1 (/var/lib/apt/lists/download.telldus.com_debian_dists_stable_main_binary-i386_Packages) (/var/lib/dpkg/status)
 Description Language:
                 File: /var/lib/apt/lists/download.telldus.com_debian_dists_stable_main_binary-i386_Packages
                  MD5: d2e2b22b1f875c2073be98b92668b379


Reverse Depends:
  libtelldus-core2,telldus-core 2.1.0-1
Dependencies:
2.1.0-1 - libc6 (2 2.3.6-6~) libconfuse0 (2 2.5) libftdi1 (2 0.17) libgcc1 (2 1:4.1.1) libstdc++6 (2 4.2.1) libtelldus-core2 (2 2.1.0)
Provides:
2.1.0-1 -
Reverse Provides:



BR Daniel

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5476
  • DOES work for LinuxMCE.
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #8 on: November 14, 2011, 11:09:51 pm »
joakimL, can you please work with posde to get the needed software into our repo, so that the entire process is plug and play?

-Thom

JoakimL

  • Veteran
  • ***
  • Posts: 149
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #9 on: November 15, 2011, 08:45:17 am »
Sure, I'll do that.

/Joakim

JoakimL

  • Veteran
  • ***
  • Posts: 149
    • View Profile
Re: tellstick core update: breaks previous functionality
« Reply #10 on: November 26, 2011, 11:40:38 pm »
Good news. Plug'n Play is now tested and verified on LMCE 10.04. Plug in the controller, answer Yes when you're asked if you want to use this Tellstick controller - and that's it.

Could someone on LMCE 8.10 please verify?

You need to update sqlCVS to get my updates.

Thanks posde and Thom for the support.



/Joakim

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2847
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: tellstick core update: breaks previous functionality
« Reply #11 on: November 27, 2011, 05:23:53 am »
Joakim,

thank YOU, for taking the time and taking care of your device template. Way too often, people come by, dump a template into sqlCVS and a few weeks later are no longer seen. And people can't use the DTs anymore, because something tiny has been changed upstream.

Thanks again.